The forum

Civilization IV problème

Author Replies
Newdes Tuesday 26 October 2010 at 11:12
NewdesAnonymous

Bonjour.
J'utilise Ubuntu 10.10.
J'ai voulu installé Civilization IV sur mon PC (j'ai acheté le jeu).
L'installation se passe bien.
Au lancement, je reçois ce message d'erreur :
Erreurs internes - paramètres invalides reçus.

Si quelqu'un peut me dire comment résoudre ce problème, ce serait très sympa, merci.

PS : PlayOnLinux se disait prometteur, mes vieux jeux passaient dessus mais je pouvais aussi le faire directement et plus simplement sous Wine.
Là j'ai déjà essayé d'installer Command and Conquer 3, Alerte Rouge 3, Diablo II et ca n'a jamais marché.
J'ai essayé Anno, Trackmania United et ca a marché.
Certes, je sais que ca dépend des configs des ordis et tout et tout.
Mais bon, tous ces jeux passaient sous Windows Vista....

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
GNU_Raziel Tuesday 26 October 2010 at 17:26
GNU_Raziel

Je vais te répondre ce que je répond à tout ceux dans ton cas (sans méchanceté aucune et ça ne reflète que mon point de vue) :
Si la principale activité que tu as avec ton PC c'est le jeu, utilise Windows ou mieux, achète-toi une console de jeu, elle est spécifiquement faite pour ça.

Maintenant si tu veux que l'on résolve ton problème il faut donner plus de précisions :
-Ta distro (Ubuntu 10.10 dans ton cas)
-Version de POL
-Sortie d'erreurs avec POL lancé depuis un terminal
-Version du jeu (retail ? dernier patch dispo appliqué ?)
-Version de wine utilisé pour ce jeu

En ce qui concerne CnC 3, le script est pour la Kane Edition, pas la version simple (je n'y peut rien c'est la version que j'ai), je ne vais pas acheter une autre version juste pour ça. Si tu me fournis un screenshot du contenu du DVD de la version simple, je ferais les modifications et tu pourras tester.
Pour Alerte Rouge 3 je n'ai personnellement aucun souci, la dernière fois que j'y ai joué il fonctionnait parfaitement, je vais le retester dès que possible pour voir si un problème a fait son apparition.

Edited by GNU_Raziel

Newdes Wednesday 27 October 2010 at 10:53
NewdesAnonymous

Distribution : Ubuntu 10.10
Version de PoL : 3.7.6
Version Wine : 1.1.43
Version Civilization IV : 0.21.0 (pas de patch appliqué)

Pour la console, j'arrive pas à faire :
playonlinux --run Civilization4.exe
Il comprend pas, ou plutôt , je ne sais pas faire. Faudrait qu'on m'explique (j'ai lu le forum).

Sinon, la mise à jour PoL pour Ubuntu 10.10 n'est toujours pas disponible.
Merci pour ta réponse Raziel.
Je sais que Linux n'est pas trop fait pour jouer mais bon, je n'ai plus windows chez moi, et puis je suis plus un petit joueur qui joue de temps en temps qu'un pro-gamer.

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
Newdes Wednesday 27 October 2010 at 11:58
NewdesAnonymous

Si j'ai trouvé, j'obtiens ca :
denis@denis-laptop:~$ playonlinux
PlayOnLinux v3.7.6

Checking python :                     [ Ok ]
Running Civilization IV
wine: Unhandled page fault on write access to 0xe32ef315 at address 0x6670d932 (thread 0009), starting debugger...
Can't attach process 0008: error 5

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
Salvatos Thursday 28 October 2010 at 4:40
SalvatosAnonymous
Moderator

En règle générale, avoir une version de PoL à jour ne devrait pas nuire. Voir la page Téléchargements.
Dans le pire des cas tu auras au moins les textes corrigés ;)

Edited by Salvatos


Disclaimer: I'm a noob, not a dev; my advice is only a guess.
Attention : Je suis aussi noob que vous, prenez mes suggestions avec un grain de sel ;)
Newdes Thursday 28 October 2010 at 11:10
NewdesAnonymous

Oui mais.... PoL n'est pas disponible pour maverick (version 10.10), ils vont bientot la sortir ?

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
Newdes Thursday 28 October 2010 at 12:46
NewdesAnonymous

C'est bon, je suis passé à la 3.8.5, mais toujours le même problème :
denis@denis-laptop:~$ playonlinux
PlayOnLinux v3.8.5

Vérification de l'extension : Advanced Wine Configuration...
Vérification de l'extension : Offline PlayOnLinux...
Vérification de l'extension : Capture...
Vérification de l'extension : Transgaming Cedega...
Vérification de l'extension : Wine Import...
Vérification de l'extension : Wine Look...
Vérification de l'extension : Detour...
Running Civilization IV
wine: Unhandled page fault on write access to 0xe32ef3d5 at address 0x6670d932 (thread 0009), starting debugger...
Can't attach process 0008: error 5

De plus, une autre erreur : le jeu n'a pas pu me mettre le patch 1.74 qui est proposé dans vos installations

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
Newdes Friday 5 November 2010 at 16:44
NewdesAnonymous

up

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
Newdes Friday 5 November 2010 at 16:44
NewdesAnonymous

Personne, c'est mort....

Distribution : Ubuntu 10.10
Version de PoL : 3.8.5
Carte graphique : GeForce 8200M G
SuperPlumus Friday 5 November 2010 at 17:38
SuperPlumusAnonymous
Admin

Je l'avais installé pour un ami une fois et j'avais eu un problème lors de l'installation et msxml3 et d3dx9 ne s'étaient pas installé correctement.

Tu peux essayer de les réinstaller de la manière suivante :

1) Cliquer sur le bouton "installer"

2) Cliquer sur "autre"

3) Sélectionner "PlayOnLinux functions" puis cliquer sur "appliquer"

4) Sélectionner le jeu dans la liste

5) Cocher "POL_Install_d3dx9" et "POL_Install_msxml3" puis cliquer sur suivant

Et normalement le jeu devrait fonctionner, si il s'agit bien du problème que je pense.

Autrement il s'agit peut-être de la protection anti-copie qui empêche le jeu de fonctionner, il faut dans ce cas que tu trouve une solution pour la contourner...

Edited by SuperPlumus